<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.Samples.FileOpenDialog Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_samples_1_1_file_open_dialog.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="class_tri_lib_1_1_samples_1_1_file_open_dialog-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.Samples.FileOpenDialog Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a file loader UI component.  
 <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.Samples.FileOpenDialog:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_samples_1_1_file_open_dialog.png" alt=""/>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a3445911cd0080d9b530a249d2438683c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a3445911cd0080d9b530a249d2438683c">ShowFileOpenDialog</a> (<a class="el" href="namespace_tri_lib_1_1_samples.html#a26c8eb38f671542450346643dc54da47">FileOpenEventHandle</a> onFileOpen)</td></tr>
<tr class="memdesc:a3445911cd0080d9b530a249d2438683c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the file open dialog.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a3445911cd0080d9b530a249d2438683c">More...</a><br /></td></tr>
<tr class="separator:a3445911cd0080d9b530a249d2438683c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd1f2f4f474ab42a02223e8b5e1261e2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#acd1f2f4f474ab42a02223e8b5e1261e2">HideFileOpenDialog</a> ()</td></tr>
<tr class="memdesc:acd1f2f4f474ab42a02223e8b5e1261e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the file open dialog.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#acd1f2f4f474ab42a02223e8b5e1261e2">More...</a><br /></td></tr>
<tr class="separator:acd1f2f4f474ab42a02223e8b5e1261e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa954b4584054f86e7f84721e83b94215"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#aa954b4584054f86e7f84721e83b94215">HandleEvent</a> (<a class="el" href="namespace_tri_lib_1_1_samples.html#ac95717a3db84b6b76019831e73a001c1">ItemType</a> itemType, string filename)</td></tr>
<tr class="memdesc:aa954b4584054f86e7f84721e83b94215"><td class="mdescLeft">&#160;</td><td class="mdescRight">Handles events from <a class="el" href="class_tri_lib_1_1_samples_1_1_file_text.html" title="Represents a file, folder or &quot;go to parent&quot; item for FileOpenDialog class.">FileText</a>.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#aa954b4584054f86e7f84721e83b94215">More...</a><br /></td></tr>
<tr class="separator:aa954b4584054f86e7f84721e83b94215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a409c483f8d410e7d4ee7cc3c5260d6fe"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a409c483f8d410e7d4ee7cc3c5260d6fe">DestroyItems</a> ()</td></tr>
<tr class="memdesc:a409c483f8d410e7d4ee7cc3c5260d6fe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroys all game objects in the container.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a409c483f8d410e7d4ee7cc3c5260d6fe">More...</a><br /></td></tr>
<tr class="separator:a409c483f8d410e7d4ee7cc3c5260d6fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a7117122231d5ba539cc306655dc3f585"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a7117122231d5ba539cc306655dc3f585">Filter</a> = &quot;*.*&quot;</td></tr>
<tr class="memdesc:a7117122231d5ba539cc306655dc3f585"><td class="mdescLeft">&#160;</td><td class="mdescRight">File dialog filter.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a7117122231d5ba539cc306655dc3f585">More...</a><br /></td></tr>
<tr class="separator:a7117122231d5ba539cc306655dc3f585"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40139988ef87ffe1680ec3805fe6f0b5"><td class="memItemLeft" align="right" valign="top"><a id="a40139988ef87ffe1680ec3805fe6f0b5" name="a40139988ef87ffe1680ec3805fe6f0b5"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>StartOnLogicalDrives</b></td></tr>
<tr class="memdesc:a40139988ef87ffe1680ec3805fe6f0b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Turn on this field to start browsing on local drives (c:, d:, e:...etc) <br /></td></tr>
<tr class="separator:a40139988ef87ffe1680ec3805fe6f0b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a619fb9a96a4a8377bde156cccfc046ba"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a619fb9a96a4a8377bde156cccfc046ba">Awake</a> ()</td></tr>
<tr class="memdesc:a619fb9a96a4a8377bde156cccfc046ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes variables.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a619fb9a96a4a8377bde156cccfc046ba">More...</a><br /></td></tr>
<tr class="separator:a619fb9a96a4a8377bde156cccfc046ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:aa673738a6e0aecc37addcf6ddecfa2c8"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html">FileOpenDialog</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#aa673738a6e0aecc37addcf6ddecfa2c8">Instance</a><code> [get]</code></td></tr>
<tr class="memdesc:aa673738a6e0aecc37addcf6ddecfa2c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class singleton.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#aa673738a6e0aecc37addcf6ddecfa2c8">More...</a><br /></td></tr>
<tr class="separator:aa673738a6e0aecc37addcf6ddecfa2c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6c4e65ad0631b9cde3167ca81f9ec4c8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a6c4e65ad0631b9cde3167ca81f9ec4c8">Title</a><code> [getset]</code></td></tr>
<tr class="memdesc:a6c4e65ad0631b9cde3167ca81f9ec4c8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets/Sets the file dialog title.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a6c4e65ad0631b9cde3167ca81f9ec4c8">More...</a><br /></td></tr>
<tr class="separator:a6c4e65ad0631b9cde3167ca81f9ec4c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a572c54857913eeac6ad1f2e57214b0ab"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a572c54857913eeac6ad1f2e57214b0ab">Directory</a><code> [getset]</code></td></tr>
<tr class="memdesc:a572c54857913eeac6ad1f2e57214b0ab"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets/Sets the Working directory.  <a href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html#a572c54857913eeac6ad1f2e57214b0ab">More...</a><br /></td></tr>
<tr class="separator:a572c54857913eeac6ad1f2e57214b0ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a file loader UI component. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a619fb9a96a4a8377bde156cccfc046ba" name="a619fb9a96a4a8377bde156cccfc046ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a619fb9a96a4a8377bde156cccfc046ba">&#9670;&nbsp;</a></span>Awake()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.FileOpenDialog.Awake </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Initializes variables. </p>

</div>
</div>
<a id="a409c483f8d410e7d4ee7cc3c5260d6fe" name="a409c483f8d410e7d4ee7cc3c5260d6fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a409c483f8d410e7d4ee7cc3c5260d6fe">&#9670;&nbsp;</a></span>DestroyItems()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.FileOpenDialog.DestroyItems </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destroys all game objects in the container. </p>

</div>
</div>
<a id="aa954b4584054f86e7f84721e83b94215" name="aa954b4584054f86e7f84721e83b94215"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa954b4584054f86e7f84721e83b94215">&#9670;&nbsp;</a></span>HandleEvent()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.FileOpenDialog.HandleEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib_1_1_samples.html#ac95717a3db84b6b76019831e73a001c1">ItemType</a>&#160;</td>
          <td class="paramname"><em>itemType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Handles events from <a class="el" href="class_tri_lib_1_1_samples_1_1_file_text.html" title="Represents a file, folder or &quot;go to parent&quot; item for FileOpenDialog class.">FileText</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">itemType</td><td>Clicked item type.</td></tr>
    <tr><td class="paramname">filename</td><td>Clicked item filename, if exists.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="acd1f2f4f474ab42a02223e8b5e1261e2" name="acd1f2f4f474ab42a02223e8b5e1261e2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd1f2f4f474ab42a02223e8b5e1261e2">&#9670;&nbsp;</a></span>HideFileOpenDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.FileOpenDialog.HideFileOpenDialog </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Hides the file open dialog. </p>

</div>
</div>
<a id="a3445911cd0080d9b530a249d2438683c" name="a3445911cd0080d9b530a249d2438683c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3445911cd0080d9b530a249d2438683c">&#9670;&nbsp;</a></span>ShowFileOpenDialog()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void TriLib.Samples.FileOpenDialog.ShowFileOpenDialog </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib_1_1_samples.html#a26c8eb38f671542450346643dc54da47">FileOpenEventHandle</a>&#160;</td>
          <td class="paramname"><em>onFileOpen</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Shows the file open dialog. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">onFileOpen</td><td>Event that occurs when user choose a file.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a7117122231d5ba539cc306655dc3f585" name="a7117122231d5ba539cc306655dc3f585"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7117122231d5ba539cc306655dc3f585">&#9670;&nbsp;</a></span>Filter</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.FileOpenDialog.Filter = &quot;*.*&quot;</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>File dialog filter. </p>

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a572c54857913eeac6ad1f2e57214b0ab" name="a572c54857913eeac6ad1f2e57214b0ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a572c54857913eeac6ad1f2e57214b0ab">&#9670;&nbsp;</a></span>Directory</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.FileOpenDialog.Directory</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets/Sets the Working directory. </p>

</div>
</div>
<a id="aa673738a6e0aecc37addcf6ddecfa2c8" name="aa673738a6e0aecc37addcf6ddecfa2c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa673738a6e0aecc37addcf6ddecfa2c8">&#9670;&nbsp;</a></span>Instance</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html">FileOpenDialog</a> TriLib.Samples.FileOpenDialog.Instance</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Class singleton. </p>

</div>
</div>
<a id="a6c4e65ad0631b9cde3167ca81f9ec4c8" name="a6c4e65ad0631b9cde3167ca81f9ec4c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6c4e65ad0631b9cde3167ca81f9ec4c8">&#9670;&nbsp;</a></span>Title</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string TriLib.Samples.FileOpenDialog.Title</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span><span class="mlabel">set</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Gets/Sets the file dialog title. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Samples/Scripts/<a class="el" href="_file_open_dialog_8cs.html">FileOpenDialog.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="namespace_tri_lib_1_1_samples.html">Samples</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_samples_1_1_file_open_dialog.html">FileOpenDialog</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
